[fxruby-users] Re: FXRuby on OpenBSD

Joel VanderWerf vjoel at path.berkeley.edu
Sun Jul 31 20:28:15 EDT 2005

Lyle Johnson wrote:
> On Aug 1, 2005, at 4:21 AM, brett s hallett wrote:
>> $ irb
>> irb(main):001:0> require 'fox12'
>> $
>> IE: program just drops out, no error messages, if I try require 'fox'
>> I get
>> the expected "can't find file". So I assume that the fox12.so does exist
>> (which it does) and is found by irb but ruby does not like "something"
>> about
>> the file.

Do you have gdb? Can you send the output like this:

$ gdb ruby
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-linux"...Using host libthread_db
library "/lib/tls/i686/cmov/libthread_db.so.1".

(gdb) r -e 'require "fox12"; p Fox'
Starting program: /usr/local/bin/ruby -e 'require "fox12"; p Fox'
[Thread debugging using libthread_db enabled]
[New Thread -1208460864 (LWP 10981)]

Program exited normally.

      vjoel : Joel VanderWerf : path berkeley edu : 510 665 3407

More information about the fxruby-users mailing list